-- Einfaches Beispiel fr einen Trigger
create or replace trigger trg_emp_briu
before insert or update on emp
   for each row
begin
  if inserting then
    :new.empno := emp_seq.nextval;
  end if;
  if updating then
    :new.ename := :old.ename;
  end if;
  if :new.job = 'SALESMAN' then
    :new.comm := coalesce(:new.comm, :old.comm, 0);
  else
    :new.comm := null;
  end if;
end;
/

-- Test des Triggers
insert into emp (ename, job, sal, deptno)
values ('SCHULZE', 'SALESMAN', 1500, 20);

select empno, ename, job, sal, comm
  from emp
 where ename = 'SCHULZE';
 
update emp
   set ename = 'SCHULTZE',
       job = 'ANALYST'
 where ename = 'SCHULZE';
 
select empno, ename, job, sal, comm
  from emp
 where ename in ('SCHULZE', 'SCHULTZE');
 
rollback;
