-- ROW-LIMITING-Klausel
-- Einfache Verwendung zur TOP-N-Analyse
select ename, job, sal
  from emp
 order by sal desc 
 fetch first 5 rows only;

-- Spielart: Ermittle die ersten 20% der Zeilen
select ename, job, sal 
  from emp
 order by sal desc 
 fetch first 20 percent rows only;

-- Finde auch mehrere Verdiener auf gleichem RANG
select ename, job, sal 
  from emp 
 order by sal desc 
 fetch first 2 rows with ties;

-- Erweiterung um einen Offset
select ename, job, sal 
  from emp 
 order by sal desc 
offset 4 rows 
 fetch next 2 rows with ties;

