-- Allgemeine Zeilenfunktionen
-- GREATES und LEAST
select empno, mgr, 
       greatest(empno, mgr), least(empno, mgr) 
  from emp;

-- NULL-Wert- Behandlung mit COALESCE und NVL
select ename, empno, mgr, comm, 
       coalesce(comm, mgr, empno) wert
  from emp;

select ename, job,
       (sal * 12) + nvl(comm, 125) jahresgehalt 
  from emp;

-- Funktion NULLIF
select nullif(empno, coalesce(mgr, empno)) null_if, 
       empno, mgr 
  from emp;

