-- Programmierung einer Funktion zur Berechnung der Fakultt
-- Beginn mit Stub
create or replace function 
factorial( 
  p_nin number) 
  return number 
as
begin
  return null;
end factorial; 
/

-- Test der Funktion
select 0 n, factorial(0) ergebnis, 1 erwartung
  from dual 
union all s
elect null, factorial(null), null from dual union all 
select 1, factorial(1), 1 from dual union all 
select -2, factorial(-2), null from dual union all 
select 2.49, factorial(2.49), 2 from dual union all 
select 2.5, factorial(2.5), 6 from dual union all 
select 7, factorial(7), 840 from dual;

-- Programmierung der Funktion
create or replace function 
factorial( 
  p_nin number) 
  return number 
as 
  l_resultat number := 1; 
begin 
  case 
  when n is null or round(p_n) < 0 then 
    l_resultat := null; 
  when round(p_n) <= 1 then 
    l_resultat := 1; 
  else 
    for i in 2 .. round(p_n) loop 
	  l_resultat := l_resultat * i; 
	end loop;
  end case;
  return l_resultat;
end factorial;
/
