﻿/* Skript zur Demonstration von Sessionkontext-Funktionen
 * Als Benutzer SCOTT ausführen
 */
 
-- Verwendung der Funktion USER
select user
  from dual;
  
-- Identifier im Sessionkontext setzen
call dbms_session.set_identifier('BLAKE');

-- und abrufen:
select sys_context('USERENV', 'CLIENT_IDENTIFIER') u 
  from dual;

-- Verwendung als Filter in der where-Klausel;
select ename, job, sal, comm 
  from emp 
 where ename = sys_context('USERENV', 'CLIENT_IDENTIFIER');
