-- Sequenzen und TRIGGER
-- Was sind Sequenzen? Anzeige aus dem Data Dictionary
select obj#, increment$, minvalue, maxvalue, 
       cycle#, cache, highwater 
  from sys.seq$ 
 where rownum < 11;

-- Sequenz erzeugen
create sequence emp_seq start with 8100;

-- und verwenden:
insert into emp (empno, ename, sal) 
values (emp_seq.nextval, 'SCHMITZ', 1200);

-- Kontrollabfrage:
select empno, ename, sal 
  from emp 
 where empno >= 8100;

-- nderung zurckrollen
rollback;
