﻿
-- Einfacher INDEX
create index idx_emp_ename on emp(ename);

-- Nachweis der Verwendung:
explain plan for
select *
  from emp
 where ename = 'BLAKE';
 
-- Abfrage, die den Index nicht verwenden kann:
explain plan for
select *
  from emp
 where lower(ename) = lower('Blake');

-- Funktionsbasierter INDEX
drop index idx_emp_ename;
create index idx_emp_ename on emp(lower(ename));

