-- Erweiterte Funktionen von Intervallen

-- Intervalle ber lange Zeitrume
select interval '200' month(3) monate
  from dual;
  
-- Intervalle aus Zaheln ermitteln
select numtoyminterval(1.75, 'year') jahr, 
       numtodsinterval(1.75, 'day') tag, 
	   numtodsinterval(sysdate - trunc(sysdate), 'Day') uhrzeit 
  from dual;

-- Datumsarithmetik mit Intervallen
-- Laut ISO-Spezifikation muss dieser Ausdruck einen Fehler liefern
select date '2012-01-31' + interval '1' month datum 
  from dual;
  
