-- Verwendung des Typs WM_PERIOD des Benutzers WMSYS
-- Voraussetzung: Dieser Benutzer muss installiert sein, nicht in XE

desc wmsys.wm_period;

-- Verwendung des Typs in einer Tabelle
create table emp_dept(
  empno number,
  deptno number,
  date_range wm_period);

insert into emp_dept
select empno, deptno,
       wm_period(hiredate, date '2999-12-31')
  from emp;

select e.empno, e.deptno,
       e.date_range.validfrom,
       e.date_range.validtill
  from emp_dept e;

-- Auswertung gegen den Typen
select e.empno, e.deptno, e.date_range.validfrom
  from emp_dept e
 where wm_overlaps(
         date_range, 
         wm_period(
           date '1981-05-01', 
           date '1981-05-31')) = 1;
