﻿-- 1.
select ename, job, sal
  from emp
 where deptno = 30;
 
-- 2.
select ename "Name", job "Beruf", sal "Gehalt"
  from emp
 where deptno = 20;
 
-- 3.
-- Achten Sie auf die Funktion COALESCE
select deptno abteilung, ename mitarbeiter,
       (12 * sal) + coalesce(comm, 75) jahresgehalt
  from emp
 order by jahresgehalt desc;
 
--4.
-- Prüfungen auf NULL gehen ausschließlich mit dem Operater is (not) null!
select ename, job
  from emp
 where mgr is null;
 
-- 5.
-- Nur DESC muss geschrieben werden, ASC ist optional.
select deptno, ename, job, sal
  from emp
 order by deptno, sal desc, ename;
 
-- 6.
-- Für diese Aufgabe reicht eine »einfache case-Anweisung«
select ename "Name",
       case job
	     when 'PRESIDENT' then 'PRÄSIDENT'
       when 'ANALYST' then 'ANALYTIKER'
       when 'SALESMAN' then 'VERKÄUFER'
       when 'CLERK' then 'SEKRETÄRIN'
       else job
       end "Beruf",
       sal "Gehalt"
  from emp;
  
-- 7.
-- Achten Sie auf die korrekte Reihenfolge: Vom Speziellen zum Allgemeinen.
select ename, job, 
       case
	     when job = 'CELRK' and sal <= 1000 then sal * 1.03
       when job = 'CLERK' then sal + 40
       when job = 'SALESMAN' then sal + (comm/10)
       when deptno = 20 and sal < 1500 then sal + 50
       else sal * 1.02 end new_sal
  from emp
 order by deptno, job, sal;