-- Mengenoperationen
-- UNION ALL-Trick mit der Tabelle DUAL
select 'Peter' first_name, 'Schmitz' last_name 
  from dual 
union all 
select 'Heike', 'Mller' from dual union all 
select 'Heinz', 'Maier' from dual;

-- UNION-Klausel mit Unterdrckung der Dubletten
select first_name, last_name, department_id 
  from employees 
 where department_id = 60 
union 
select first_name, last_name, department_id 
  from employees 
 where job_id = 'IT_PROG';

-- MINUS-Klausel
select first_name, last_name, department_id, job_id 
  from employees 
 where department_id = 60 
minus 
select first_name, last_name, department_id, job_id 
  from employees 
 where job_id = 'IT_PROG';
 
-- und andersherum:
select first_name, last_name, department_id, job_id 
  from employees 
 where job_id = 'IT_PROG'
minus 
select first_name, last_name, department_id, job_id 
  from employees 
 where department_id = 60;
 
-- Kombination: Finde Unterschiede zwischen zwei Tabellen
(select first_name, last_name, department_id, job_id 
   from employees 
  where department_id = 60 
 minus 
 select first_name, last_name, department_id, job_id 
   from employees 
  where job_id = 'IT_PROG') 
union all 
(select first_name, last_name, department_id, job_id 
   from employees
  where job_id = 'IT_PROG'
 minus
 select first_name, last_name, department_id, job_id
   from employees 
  where department_id = 60);
  
-- INTERSECT-Klausel
select first_name, last_name, department_id, job_id 
  from employees 
 where department_id = 60 
intersect 
select first_name, last_name, department_id, job_id
  from employees 
 where job_id = 'IT_PROG';

 