﻿/* Skript zur Demonstration von Mathematischen Funktionen
 * Als Benutzer SCOTT ausführen
 */
 
-- Verwendung der Funktion ABS
select abs(-24.378) betrag
  from dual;
  
-- Verwendung der Funktion SIN
select sin(45 * 3.14159265359/180) sinus
  from dual;
  
select sin(30 * 3.14159265359/180) sinus
  from dual;
  
-- Verwendung der Funktion BITAND
select case bitand(21, 4)
       when 4 then 'gesetzt'
       else 'nicht gesetzt' end flag
  from dual;
 
-- Analyse von Bitflags mittels der Funktion BITAND
select case bitand(21, 1) when 1 then 'J' else 'N' end mo, 
       case bitand(21, 2) when 2 then 'J' else 'N' end di, 
	   case bitand(21, 4) when 4 then 'J' else 'N' end mi, 
	   case bitand(21, 8) when 8 then 'J' else 'N' end do, 
	   case bitand(21, 16) when 16 then 'J' else 'N' end fr, 
	   case bitand(21, 32) when 32 then 'J' else 'N' end sa, 
	   case bitand(21, 64) when 64 then 'J' else 'N' end so 
  from dual;
 

-- Verwendung der Funktion CEIL und FLOOR
select ceil(18.1) ceil, floor(18.9) floor
  from dual;
 
-- Verwendung der Funktionen EXP, LN, POWER und SQRT
select exp(4), ln(54.59815) 
  from dual;

select power(2, 8), log(2, 256), sqrt(81) 
  from dual;

select power(2.718281828459045235, 4), exp(4) 
  from dual;

-- Verwendung der Funktionen MOD und REMAINDER
select rownum, mod(rownum, 3) modulo, 
       case mod(rownum, 3) 3 when 0 then 'row-yellow' 
	   when 1 then 'row-green' 
	   when 2 then 'row-red' 
	   end css, ename, sal 
  from emp;

-- Unterschied zwischen den beiden Funktionen
select mod(-120, 50), remainder(-120, 50) 
  from dual;

select mod(-140, 50), remainder(-140, 50) 
  from dual;

-- Verwendung der Funktionen ROUND und TRUNC
select round(12545.445) d_0, 
       round(12545.445, 1) d_1, 
	   round(12545.445, 2) d_2, 
	   round(12545.445, -3) d_m3
  from dual;
  
-- Verwendung der Funktion WIDTH_BUCKET
select width_bucket(sal, 500, 5500, 5) gruppe, 
       sal gehalt 
  from emp 
 order by gruppe, sal;

